      SUBROUTINE MAP_STEEL_HETRO(C,D,M,R)
      IMPLICIT NONE
      DOUBLE PRECISION C(7),D(8),M,A,PSI,PMN,PNI,PCR,PMO,PV,R
C PROGRAM TO CALCULATE COMPOSITIONS FOR SOLUTE DEPLETED REGIONS
C M=MELTING POINT IN KELVIN, LIQUIDUS TEMPERATURE
C CARBON PARTITIONING IGNORED
C THERMODYNAMIC DATA FROM KIRKALDY AND BAGANIS
C SOLIDIFICATION AS DELTA FERRITE
      A=4.187D+00
      PSI=DEXP((3.9*M-8200.0)*A/(R*M))
      PMN=DEXP((3100.0-2.308*M)*A/(R*M))
      PNI=DEXP((-2120.0-0.38*M)*A/(R*M))
      PCR=DEXP((2.19*M-4600.0)*A/(R*M))
      PMO=DEXP((2.29*M-6600.0)*A/(R*M))
      PV=DEXP((-5100.0+2.3*M)*A/(R*M))
      D(1)=C(1)
      D(2)=C(2)*PSI
      D(3)=C(3)*PMN
      D(4)=C(4)*PNI
      D(5)=C(5)*PMO
      D(6)=C(6)*PCR
      D(7)=C(7)*PV
      D(8)=1.0D+02-D(1)-D(2)-D(3)-D(4)-D(5)-D(6)-D(7)
      RETURN
      END
